
QGIS Application - Bug report #12867

QGIS crashes upon node deletion

2015-06-03 09:52 PM - Christine Spits

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20958

Description

My colleagues and I have been experiencing QGIS crashing with a minidump error whenever we try to select and delete nodes, see

attached for error message.

This has occurred both when multiple nodes have been selected and attempting to delete all of them, as well as upon deleting the last

remaining node in a polyline.

The issues doesn't seem to occur when attempting to select and delete the features rather than their nodes.

We're planning to install 2.8.2 soon so I'm not sure whether or not this would be an issue in that version also. The issues wasn't

experienced in 2.6, and only seems to have occurred in 2.8.1 over the past 2 weeks or so, prior to this there didn't seem to be a problem.

NB we're running Windows 7 Professional.

Associated revisions

Revision 033baf1b - 2015-06-04 11:30 AM - Matthias Kuhn

Don't crash when deleting last vertex

Fix #12867

Also preserves NULL rectangles in QgsRectangle::normalize()

Revision 06af43da - 2015-06-04 11:50 AM - Matthias Kuhn

Don't crash when deleting last vertex

Fix #12867

Backported to 2.8.3

Also preserves NULL rectangles in QgsRectangle::normalize()

History

#1 - 2015-06-03 10:49 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High
please try upgrading and/or renaming temporarily the .qgis2 folder (to ensure there isn't a 3rd party plugin that is interfering with your installation).

Attaching a sample of the data would also help.

#2 - 2015-06-04 12:02 AM - Christine Spits

- File line_subset.shp added

- File line_subset.dbf added

- File line_subset.qpj added

- File line_subset.prj added

- File line_subset.shx added

Hi Giovanni,

I renamed the .qgis2 folder, but it simply just recreated itself upon opening QGIS again.

I have now tested this in 2.4 and 2.6 with no issue, however the issue does occur in 2.8.2.

I've also tried re-creating the error with brand new line and polygon layers and found it didn't occur, so perhaps it could be an issue with my polygon and

polyline layers. However, my colleagues who are also experiencing this issue are not using the same layers as I am.

I have attached a sample of the polyline data for you.

Thanks,

Christine

#3 - 2015-06-04 12:26 AM - Giovanni Manghi

Christine Spits wrote:

Hi Giovanni,

I renamed the .qgis2 folder, but it simply just recreated itself upon opening QGIS again.

yes this is normal, but in the new .qgis2 folder you don't have the 3rd party plugins you may have installed.

Anyway, after renaming .qgis2 and restarting qgis, does it still happen?

#4 - 2015-06-04 12:27 AM - Christine Spits

Yep, it still happened even after that.

#5 - 2015-06-04 12:32 AM - Giovanni Manghi

- Subject changed from QGIS 2.8.1 crash dump upon node deletion to QGIS crashes upon node deletion

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.8.1 to master
- Priority changed from High to Severe/Regression

- Target version set to Future Release - High Priority

confirmed on master (Segmentation fault) on Linux.

It happens when you select and delete all the nodes with the node tool.

#6 - 2015-06-04 02:33 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"033baf1b0cb266d2960f3017b30a57e89ab4e0e4".

Files

QGIS_2.8.1_node_crash_dump_error.jpg 19.4 KB 2015-06-03 Christine Spits

line_subset.prj 393 Bytes 2015-06-03 Christine Spits

line_subset.shp 29.1 KB 2015-06-03 Christine Spits

line_subset.dbf 2.43 KB 2015-06-03 Christine Spits

line_subset.qpj 654 Bytes 2015-06-03 Christine Spits

line_subset.shx 1.82 KB 2015-06-03 Christine Spits
